Highlighted
Harmont
Copper

IT Assistant Software Updates

I'm trying to implement software updates for PowerEdge 1950 servers via IT Assistant without luck. I have two Dell PE 1950 with VMware ESX Server OS installed on them. Both servers were added to inventory and latest Server Update Utility DVD was downloaded from Dell site and imported to repository. When I create update task from compliance report in Manage->Software Updates section execution always fails. That what I see in the Execution Log:

 

Execution Summary:
Execution Status:   Failed
Execution Summary: The task failed for the target device.
Overall Agent Status: Software update complete.Update Package failed during execution.


Individual Package Summary
Package File Name: /tmp/fileFgg2En/ESM_FRMW_LX_R149431.BIN
Execution Status:   The device software is at the same version or higher, so the update operation was not performed.
Package Log: Collecting inventory... Running validation... SAS/SATA Backplane 0:0 Backplane The version of this Update Package is the same as the currently installed version. Software application name: SAS/SATA Backplane 0:0 Backplane Firmware Package version: 1.05 Installed version: 1.05 Update can be forced by using the -f command-line option in silent mode. BIOS and Firmware updates to the same version are unnecessary and will not be applied even with the -f option.



Package File Name: /tmp/fileFgg2En/FRMW_LX_R124186.BIN
Execution Status:   The Update Package is not applicable to this device.
Package Log: Collecting inventory... Running validation... This Update Package is not compatible with your system configuration.



Package File Name: /tmp/fileFgg2En/TAPE_FRMW_LX_R152892.BIN
Execution Status:   The Update Package was applied.



Package File Name: /tmp/fileFgg2En/TAPE_FRMW_LX_R158797.BIN
Execution Status:   Unable to apply the Update Package. View the log for details.
Package Log: Collecting inventory... Inventory collection failed.


 


 
This output seems weird for me. FRMW_LX_R124186.BIN is a Dell PowerVault 220S/221S SES Firmware. TAPE_FRMW_LX_R152892.BIN - Dell PowerVault 110T LTO2 (how was it installed??). TAPE_FRMW_LX_R158797.BIN - Dell PowerVault 110T LTO2 (Certance).

Why does IT Assistant tries to install software NOT from compliance report?

Even when I create custom bundle installation fails:

 

Execution Summary:
Execution Status:   Failed
Execution Summary: The task failed for the target device.
Overall Agent Status: Software update complete.Update Package failed during execution.


Individual Package Summary
Package File Name: /tmp/fileWSkNKO/NETW_FRMW_LX_R197246.BIN
Execution Status:   Unable to apply the Update Package. View the log for details.
Package Log: Collecting inventory... Running validation... Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1) The version of this Update Package is newer than the currently installed version. Software application name: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1) Package version: 4.4.2 Installed version: 2.9.1 Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0) The version of this Update Package is newer than the currently installed version. Software application name: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0) Package version: 4.4.2 Installed version: 2.9.1 Executing update... WARNING: DO NOT STOP THIS PROCESS OR INSTALL OTHER DELL PRODUCTS WHILE UPDATE IS IN PROGRESS. THESE ACTIONS MAY CAUSE YOUR SYSTEM TO BECOME UNSTABLE! Update failure. Firmware programming utility returned an error. Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1) Update failure. Firmware programming utility returned an error. Update failure. Firmware programming utility returned an error. Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0) Update failure. Firmware programming utility returned an error. Update failure. Firmware programming utility returned an error.



Package File Name: /tmp/fileWSkNKO/RAID_FRMW_LX_R189337.BIN
Execution Status:   The system requires a reboot for the Update Package to apply. If the reboot option was specified, this will occur automatically.
Package Log: Collecting inventory... Running validation... PERC 5/i Integrated Controller 0 The version of this Update Package is newer than the currently installed version. Software application name: PERC 5/i Integrated Controller 0 Firmware Package version: 5.2.2-0072 Installed version: 5.1.1-0040 Executing update... WARNING: DO NOT STOP THIS PROCESS OR INSTALL OTHER DELL PRODUCTS WHILE UPDATE IS IN PROGRESS. THESE ACTIONS MAY CAUSE YOUR SYSTEM TO BECOME UNSTABLE! The system should be restarted for the update to take effect.


 

What am I missing?

0 Kudos
6 Replies

Re: IT Assistant Software Updates

Thanks for posting!  I have seen other 9th generation servers (2950's) have similar errors, but they showed up during the compliance report.  What happens if you run the Dell Server Updates DVD directly from the server?  It is possible that there is an error on the disk that makes it think one thing that needs updating uses the wrong file, which would produce this kind of error.

0 Kudos
Harmont
Copper

Re: IT Assistant Software Updates

Thank you for reply Jeff.

Installation from local system (VMware ESX Server 3.5) also doesn't work:

# ./suu -c

------------------------------------------------
Welcome to the Dell OpenManage Server Update Utility.
Copyright (c) 2003-2008 Dell Inc. All Rights Reserved.
SUU Version: 1 .8 .2 .18

SUU Log location: /var/log/dell/suu

======= Comparison Results ========set
component: BIOS
component type: BIOS
current version: 1.5.1 < repository version: 2.5.0
Package name: PE1950_BIOS_LX_2.5.0.BIN
Applicability: Package can be applied
-----------------------------
component: BMC
component type: Firmware
current version: 2.37 = repository version: 2.37
Package name: BMC_FRMW_LX_R202156.BIN
Applicability: Package cannot be applied
-----------------------------
component: PERC 5/i Integrated Controller 0 Firmware
component type: Firmware
current version: 5.2.2-0072 = repository version: 5.2.2-0072
Package name: RAID_FRMW_LX_R189337.BIN
Applicability: Package cannot be applied
-----------------------------
component: SAS/SATA Backplane 0:0 Backplane Firmware
component type: Firmware
current version: 1.05 = repository version: 1.05
Package name: ESM_FRMW_LX_R149431.BIN
Applicability: Package cannot be applied
-----------------------------
component: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1)
component type: Firmware
current version: 2.9.1 < repository version: 4.4.2
Package name: NETW_FRMW_LX_R197246.BIN
Applicability: Package can be applied
-----------------------------
component: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0)
component type: Firmware
current version: 2.9.1 < repository version: 4.4.2
Package name: NETW_FRMW_LX_R197246.BIN
Applicability: Package can be applied
-----------------------------
component: OpenManage Server Administrator Managed Node
component type: Application
current version: 5.5.0 = repository version: 5.5.0
Package name: OM_5.5.0_ManNode_A00.tar.gz
Applicability: Package cannot be applied
-----------------------------

 

Note that the package(s) bearing Applicability tag as
"Package can be applied" can be applied on the system

# ./suu -e

------------------------------------------------
Welcome to the Dell OpenManage Server Update Utility.
Copyright (c) 2003-2008 Dell Inc. All Rights Reserved.
SUU Version: 1 .8 .2 .18

SUU Log location: /var/log/dell/suu

System is compliant with prerequisites
Update of some of the components might have been failed.Please refer to the update log file for more information avaialble at ->/var/log/dell/suu/update.log

#cat /var/log/dell/suu/update.log


Mon Jan 26 10:53:36 KRAT 2009  PE1950_BIOS_LX_2.5.0.BIN - reboot required to complete update
Mon Jan 26 10:53:36 KRAT 2009  NETW_FRMW_LX_R197246.BIN - update unsuccessful, see support log
Mon Jan 26 10:53:36 KRAT 2009  package log: Collecting inventory...
Running validation...

Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1)

The version of this Update Package is newer than the currently installed version.
Software application name: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1)
Package version: 4.4.2
Installed version: 2.9.1

Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0)

The version of this Update Package is newer than the currently installed version.
Software application name: Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0)
Package version: 4.4.2
Installed version: 2.9.1


Executing update...
WARNING: DO NOT STOP THIS PROCESS OR INSTALL OTHER DELL PRODUCTS WHILE UPDATE IS IN PROGRESS.
THESE ACTIONS MAY CAUSE YOUR SYSTEM TO BECOME UNSTABLE!
Update failure. Firmware programming utility returned an error.

Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic1)
Update failure. Firmware programming utility returned an error.

Update failure. Firmware programming utility returned an error.

Broadcom NetXtreme II BCM5708 1000Base-T rev 12 (vmnic0)
Update failure. Firmware programming utility returned an error.

Update failure. Firmware programming utility returned an error.

How can I check that SUU DVD is correct? I can't find any kind of hash near the DVD.

0 Kudos
roverste
Copper

Re: IT Assistant Software Updates

I'm also trying to update some BCM5708 Internal NICS (PE2950), the update(firmware) is pushed through the OpenManage Console.

It seems to be my box is giving the same error as mentioned above, will try to update the box through a dvd.

0 Kudos
roverste
Copper

Re: IT Assistant Software Updates

Today i mounted the update dvd through DRAC. Still the same error updating the broadcom firmware => update failure. firmware program utility returned an error

0 Kudos
roverste
Copper

Re: IT Assistant Software Updates

Resolved the problem by updating the firmwares offline. Boot from the system build CD. With the update option and changed the systembuild cd to the SUU update DVD.

Harmont
Copper

Re: IT Assistant Software Updates

A can't approve it as an answer. Yes, I can update firmware offline, but:

1. System build utility don't show Broadcom NICs. Don't you know why?

2. If I have 10 or 50 servers it's difficult to update all of them offline.

3. It's not a good idea to bring server offline.

Futhermore I can't get any performance and monitoring data from servers. Even though I have most recent IT Assistant (8.3.0), Server Administrator (5.5.0) and server firmware when I create "Performance and Power Monitoring Task" I see error in execution log:

  ptk3-host1.vmware.ptk3.local Data not available for one or more instance(s) of the counter(s) Energy Consumption, Peak Power, Peak Power Time, Peak Amperage, Peak Amperage Time, Peak Measured Since, Energy Measured Since on the device.Non Power Management counters are not supported by VMWare device. Friday, February 6, 2009 5:40:02 PM KRAT Friday, February 6, 2009 5:40:03 PM KRAT

It means that device don't support neither power counters nor performance counters. Why? AFAIK Dell supports VMware ESX Server 3.5.0 OS via OpenManage suite.

That what I see in device description:

Software Agent Information

Agent Global Status Agent Name Agent Description Agent Manufacturer Agent Version
Performance and Power Monitoring Agent Collects device performance statistics. Dell Inc. NA
Server Administrator (Storage Management) Configuration and monitoring of disk storage devices. Dell Inc. 3.0.0
Server Administrator Management software for Dell systems. Dell Inc. 5.5.0
Inventory Collector Agent Provides information about devices running on the local system Dell Inc. 5.5.0

Agent version is not available so maybe "Performance and Power Monitoring Agent " isn't running? But dsm_sa_datamgr32d is running

# srvadmin-services.sh status
dell_rbu (module) is running
ipmi driver is running
dsm_sa_datamgr32d (pid 2796 2325) is running
dsm_sa_eventmgr32d (pid 2778) is running
dsm_sa_snmp32d (pid 2791) is running
dsm_om_shrsvc32d (pid 2066) is running...
dsm_om_connsvc32d (pid 2995 2994) is running...

Maybe it's a firewall issue? But port 1311 is opened:

# esxcfg-firewall -q | grep 1311
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0          tcp dpt:1311
        OpenManagerReguest  : port 1311 tcp.in

So two issues are still not resolved:

1. Can't update firmware via IT Assistant.

2. Can't get power and performance monitoring data from VMware ESX Servers via IT Assistant.

0 Kudos